﻿package info.cobaltduck.model {
	
	public class Pet {
		
		protected var name:String;
		protected var calendarAge:int;
		protected var classicAge:int;
		protected var equivalentAge:int;
		
		public static const CLASSIC_RATIO:int = 7;
		public static const LARGE_FIRST:int = 16;
		public static const SMALL_MED_CAT_FIRST:int = 15;
		public static const LARGE_MED_SECOND:int = 10;
		public static const SMALL_CAT_SECOND:int = 9;
		public static const LARGE_RATIO:int = 6;
		public static const MEDIUM_RATIO:int = 5;
		public static const SMALL_CAT_RATIO:int = 4;
		
		
		public function setName(name:String):void {
			this.name = name;
		}
		public function getName():String {
			return name
		}
		
		public function setCalendarAge(calendarAge:int):void {
			this.calendarAge = calendarAge;
		}
		
		public function getClassicAge():int {
			classicAge = calendarAge * CLASSIC_RATIO;
			return classicAge;			
		}
		
		// this function to be overridden by child classes;
		public function getEquivalentAge():int {
			return 0;
		}
	}
	
}