package info.cobaltduck;

import info.cobaltduck.gui.*;

import java.applet.Applet;
import java.awt.BorderLayout;

import javax.swing.JLabel;
import javax.swing.JPanel;

public class PetAger extends Applet {
	
	private static final long serialVersionUID = 1L;
	
	private static InputPanel input = new InputPanel();
	private static OutputPanel output = new OutputPanel();

	public PetAger(){
		// required no-arg constructor
		// takes no action
	}
	
	public void init() {
		// set up the GUI components
		setLayout(new BorderLayout(0,5));
		
		JLabel title = new JLabel("Pet Age Calculator Project!", JLabel.CENTER);
		JPanel titlePanel = new JPanel();
			titlePanel.add(title);
		
		add(titlePanel, BorderLayout.NORTH);
		add(input, BorderLayout.CENTER);
		add(output, BorderLayout.SOUTH);
	}
	
	public void start() {
		input.createListeners();
	}
	
	public static InputPanel getInput() {
		return input;
	}

	public static OutputPanel getOutput() {
		return output;
	}

}
