﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;

namespace PetAger
{
    public partial class _Default : System.Web.UI.Page
    {
        private Pet thePet;

        protected void Page_Load(object sender, EventArgs e)
        {

        }

        protected void calculateBtn_Click(object sender, EventArgs e)
        {
            resultsModern.Text = "Calculating...";
            
            // instantiate the pet object
            switch (type.SelectedValue)
            {
                case ("cat"):
                    thePet = new Cat();
                    break;
                case ("small"):
                    thePet = new SmallDog();
                    break;
                case ("med"):
                    thePet = new MediumDog();
                    break;
                case ("large"):
                    thePet = new LargeDog();
                    break;
                default:
                    throw new Exception("Not a valid pet type;");
            }

            thePet.Name = name.Text;
            thePet.CalAge = int.Parse(calAge.Text);

            // produce the results and output
            String output = "Using the classical formula, ";
            output += thePet.Name;
            output += " is equivalent to ";
            output += thePet.CalcClassicalAge();
            output += " years old.";
            
            String output2 = "Using the modern formula, ";
            output2 += thePet.Name;
            output2 += " is equivalent to ";
            output2 += thePet.CalcModernAge();
            output2 += " years old.";

            resultsClassic.Text = output;
            resultsModern.Text = output2;

        }
    }
}
