package info.cobaltduck.gui;

import info.cobaltduck.listeners.CalculateListener;
import info.cobaltduck.listeners.ClearListener;

import java.awt.GridLayout;
import java.awt.event.ActionListener;

import javax.swing.ButtonGroup;
import javax.swing.JButton;
import javax.swing.JLabel;
import javax.swing.JPanel;
import javax.swing.JRadioButton;
import javax.swing.JTextField;

public class InputPanel extends JPanel {

	private static final long serialVersionUID = 2L;
	
	public JButton calculate = new JButton("Calculate");
	public JButton clear = new JButton ("Clear");
	public JTextField nameField = new JTextField(15);
	public JTextField ageField = new JTextField(3);
	public JRadioButton cat = new JRadioButton ("Cat");
	public JRadioButton small = new JRadioButton ("Small Dog  (<25 pounds)");
	public JRadioButton medium = new JRadioButton ("Medium Dog  (25 to 90 pounds)");
	public JRadioButton large = new JRadioButton ("Large Dog  (>90 pounds)");
	public ButtonGroup bg = new ButtonGroup();
		
	
	public InputPanel() {
		
		setLayout(new GridLayout(7,2,1,1));
		
		bg.add(cat);
		bg.add(small);
		bg.add(medium);
		bg.add(large);
		
		add(new JLabel("What is your pet's name"));
			add (nameField);
		add (new JLabel("What is your pet's calendar age?"));
			add (ageField);
		add (new JLabel("What type and size is your pet?"));
			add (cat);
		add (new JLabel(""));
			add (small);
		add (new JLabel(""));
			add (medium);
		add (new JLabel(""));
			add (large);
		add (calculate);
			add(clear);
		
	}
	
	public void clearForm() {
		nameField.setText("");
		ageField.setText("");
		cat.setSelected(false);
		small.setSelected(false);
		medium.setSelected(false);
		large.setSelected(false);	
	}
	
	public void createListeners() {
		ActionListener calcListen = new CalculateListener();
		ActionListener clearListen = new ClearListener();
		calculate.addActionListener(calcListen);
		clear.addActionListener(clearListen);
	}

}
