#!/usr/local/bin/perl

# parse the POST data into key/ value pairs
read (STDIN, $buffer, $ENV{'CONTENT_LENGTH'});
@pairs = split (/&/, $buffer);
foreach $pair (@pairs) {
	($key, $value) = split (/=/, $pair);
	$key =~ tr/+/ /;
	$value =~ tr/+/ /;
	$vale =~s/<!--(.|\n)*-->//g;
	
	if ($formdata($key) {
		$formdata($key) .= ", $value";
	} else {
		$formdata($key) = $value;
	}

# assign form entries to varibles
$petName = $formdata('petname');
$petCalendarAge = $formdata('age');
$petType = $formdata('pettype');

# perform age calculations 
$oldAge = $petCalendarAge * 7;
$newAge = 0;

if ($petType eq "ldog")
	{   if ($petCalendarAge == 1) {$newAge = 16;}
	    else if ($petCalendarAge == 2) {$newAge = 26;} 
	    else {$newAge = 26 + (($petCalendarAge - 2) * 6);}
	}

else if ($petType eq "mdog")
	{   if ($petCalendarAge == 1) {$newAge = 15;}
	    else if ($petCalendarAge == 2) {$newAge = 25;}
	    else {$newAge = 25 + (($petCalendarAge - 2) * 5);}
	}

else 
	{   if ($petCalendarAge == 1) {$newAge = 15;}
	    else if ($petCalendarAge == 2) {$newAge = 24;}
	    else {$newAge = 24 + (($petCalendarAge - 2) * 4);}
	}
	
	
# output result as html content
print header();
print "<html>
	<head>
		<title>Pet Age Calculator Project - Perl Variant</title>
		<link rel="stylesheet" type="text/css" href="../petager.css" />
	</head>

	<body>";
print "<h3>Your Results:</h3>
	<p>Using the classic system, $petName is equivalent to $oldAge years old.</p>
	<p>Using the newer system, $petName is equivalent to $newAge years old.</p>";
print "</body>
	</html>";
